package com.dayou.enums;

public enum OperationTypeEnum implements CodeMsgEnumInterface<String,String> {
    LOGIN("登录",null),
    ADD("新增",null),
    EDIT("编辑",null),
    DELETE("删除",null),
    EXPORT("导出",null),
    IMPORT("导入",null),
    SAVE("保存",null),
    DEFAULT_OP("操作",null),
    AUDIT("审核",null),
    SET("设置",null),
    GENERATE("生成",null),
    RESET("重置",null),
    SETTLE("结算",null),

    CHANGE("变更",null)
    ;

    OperationTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private String code;
    private String msg;
    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
